# octavia.volume.drivers package

## Subpackages

- octavia.volume.drivers.noop_driver package
  - Submodules
  - octavia.volume.drivers.noop_driver.driver module
  - Module contents

## Submodules

## octavia.volume.drivers.cinder_driver module

class VolumeManager

  Bases: `octavia.volume.volume_base.VolumeBase`

  Volume implementation of virtual machines via cinder.

  create_volume_from_image(image_id)

    Create cinder volume

    Parameters

      image_id – ID of amphora image

    :return volume id

  delete_volume(volume_id)

    Get glance image from volume

    Parameters

      volume_id – ID of amphora boot volume

    :return image id

  get_image_from_volume(volume_id)

    Get glance image from volume

    Parameters

      volume_id – ID of amphora boot volume

    :return image id

## Module contents

this page last updated: 2026-03-10 21:33:29

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug